2026-10-23 12.00 UTC - There are currently no active events. All systems operational.

Update a single TV Inspection observation

Prev Next
Patch
/tv-inspection/{inspection_id}/observation/{obs_id}/

Operation updates fields on one SnTvObservation row belonging to the given TV Inspection. Returns 404 if the observation does not belong to the given inspection.

Security
API Key: Token
Header parameter nameAuthorization

Token issued for API consumer.

Path parameters
inspection_id
integerRequired

Id of the parent TV Inspection

obs_id
integerRequired

Id of the observation to update

Body parameters

Observation attributes and values to be updated

Expand All
object
code_id
object (SnConstants)
groupname
string Required

Group name of constant. Group name must contain only uppercase letters separated by underscores.

num_value
integer

Numerical value of the constant

orderno
integer

Order number

txt
string

Human readable textual representation

txt_2
string

Human readable textual representation

value
string

Logical textual value

dk_clock_ref1
integer

DCCTV - clock reference 1

dk_clock_ref2
integer

DCCTV - clock reference 2

dk_continuous
boolean

DCCTV - whether the observation is continuous

dk_dim_determination
object (TxtConstant)
groupname
string Required

Group name of constant. Same as groupname parameter.

id
integer Required

Unique id of constant

logical_txt
string Required

Logical textual value

txt
string Required

Human readable textual representation (translated)

dk_duct_dimension
integer

DCCTV - duct dimension

dk_duct_form
object (TxtConstant)
groupname
string Required

Group name of constant. Same as groupname parameter.

id
integer Required

Unique id of constant

logical_txt
string Required

Logical textual value

txt
string Required

Human readable textual representation (translated)

dk_maal_determination
object (TxtConstant)
groupname
string Required

Group name of constant. Same as groupname parameter.

id
integer Required

Unique id of constant

logical_txt
string Required

Logical textual value

txt
string Required

Human readable textual representation (translated)

dk_mat_determination
object (TxtConstant)
groupname
string Required

Group name of constant. Same as groupname parameter.

id
integer Required

Unique id of constant

logical_txt
string Required

Logical textual value

txt
string Required

Human readable textual representation (translated)

dk_material
object (TxtConstant)
groupname
string Required

Group name of constant. Same as groupname parameter.

id
integer Required

Unique id of constant

logical_txt
string Required

Logical textual value

txt
string Required

Human readable textual representation (translated)

dk_measurement
number (float)

DCCTV - measurement value

dk_position
string

DCCTV - position

dk_station_end
number (float)

DCCTV - end station

dk_text_angle
number (float)

DCCTV - text angle

dk_type1
string

DCCTV - observation type 1

dk_type2
string

DCCTV - observation type 2

dk_x_end
number (float)

DCCTV - end X coordinate

dk_y_end
number (float)

DCCTV - end Y coordinate

Responses
200

Object was updated successfully

Expand All
object
code_id
object (SnConstants)
groupname
string

Group name of constant. Group name must contain only uppercase letters separated by underscores.

id
integer

Primary key

num_value
integer

Numerical value of the constant

orderno
integer

Order number

txt
string

Human readable textual representation

txt_2
string

Human readable textual representation

value
string

Logical textual value

comments
string

Observation comment (DANDAS TVBemaerk, else Bemaerkning)

distance
number (float)

Distance in metres from the start of the inspection (DANDAS MaaltStationStart)

dk_clock_ref1
integer

DCCTV - clock reference 1

dk_clock_ref2
integer

DCCTV - clock reference 2

dk_continuous
boolean

DCCTV - whether the observation is continuous

dk_dim_determination
object (TxtConstant)
groupname
string

Group name of constant. Same as groupname parameter.

id
integer

Unique id of constant

logical_txt
string

Logical textual value

txt
string

Human readable textual representation (translated)

dk_duct_dimension
integer

DCCTV - duct dimension

dk_duct_form
object (TxtConstant)
groupname
string

Group name of constant. Same as groupname parameter.

id
integer

Unique id of constant

logical_txt
string

Logical textual value

txt
string

Human readable textual representation (translated)

dk_maal_determination
object (TxtConstant)
groupname
string

Group name of constant. Same as groupname parameter.

id
integer

Unique id of constant

logical_txt
string

Logical textual value

txt
string

Human readable textual representation (translated)

dk_mat_determination
object (TxtConstant)
groupname
string

Group name of constant. Same as groupname parameter.

id
integer

Unique id of constant

logical_txt
string

Logical textual value

txt
string

Human readable textual representation (translated)

dk_material
object (TxtConstant)
groupname
string

Group name of constant. Same as groupname parameter.

id
integer

Unique id of constant

logical_txt
string

Logical textual value

txt
string

Human readable textual representation (translated)

dk_measurement
number (float)

DCCTV - measurement value

dk_obs_code
object

DCCTV - DAS5 observation code (DANDAS TVObsKode, group DK_K_DAS5TVOBS)

id
integer
logical_abbreviation
string

The DANDAS code, e.g. RB

logical_txt
string
txt
string

Translated label

dk_position
string

DCCTV - position

dk_station_end
number (float)

DCCTV - end station

dk_text_angle
number (float)

DCCTV - text angle

dk_type1
string

DCCTV - observation type 1

dk_type2
string

DCCTV - observation type 2

dk_x_end
number (float)

DCCTV - end X coordinate

dk_y_end
number (float)

DCCTV - end Y coordinate

id
integer

Primary key

inspection_id
integer

Id of the parent TV inspection

location
string

Observation start point as EWKT (DANDAS MaaltXStart/MaaltYStart)

review_state
string | null

DCCTV - review state. Null if nobody has judged the observation.

Valid values[ "updated", "reviewed", "disabled_from_update" ]
reviewed_by
string | null

DCCTV - username of the user who judged the observation

reviewed_ts
string (date-time) | null

DCCTV - when the observation was judged

value
integer

Observation class (DANDAS TVObsKlasse)

401

Authentication credentials are missing or invalid

{
  "details": "Authentication credentials were not provided"
}
object

Standard error response payload

details
string

Detailed description of error

404

Object was not found

{
  "details": "Not found."
}
object

Standard error response payload

details
string

Detailed description of error